Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: fail2ban

Interfaces

### Description:

Update firewall filtering to ban IP addresses with too many password failures.

### Interfaces:

fail2ban_admin( domain , role )

##### Summary

All of the rules required to administrate an fail2ban environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

fail2ban_append_log( domain )

##### Summary

Append fail2ban log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

fail2ban_domtrans( domain )

##### Summary

Execute a domain transition to run fail2ban.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

fail2ban_domtrans_client( domain )

##### Summary

Execute the fail2ban client in the fail2ban client domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

fail2ban_dontaudit_rw_stream_sockets( domain )

##### Summary

Do not audit attempts to read and write fail2ban unix stream sockets

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

fail2ban_dontaudit_use_fds( domain )

##### Summary

Do not audit attempts to use fail2ban file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

fail2ban_read_lib_files( domain )

##### Summary

Read fail2ban lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

fail2ban_read_log( domain )

##### Summary

Read fail2ban log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

fail2ban_read_pid_files( domain )

##### Summary

Read fail2ban pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

fail2ban_run_client( domain , role )

##### Summary

Execute fail2ban client in the fail2ban client domain, and allow the specified role the fail2ban client domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

fail2ban_rw_inherited_tmp_files( domain )

##### Summary

Read and write inherited temporary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

fail2ban_rw_stream_sockets( domain )

##### Summary

Read and write fail2ban unix stream sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

fail2ban_stream_connect( domain )

##### Summary

Connect to fail2ban over a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return